List the deliveries of a hook in a repository
const url = 'https://gitea.com/api/v1/repos/example/example/hooks/1/deliveries';const options = {method: 'GET', headers: {Authorization: 'Basic <credentials>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://gitea.com/api/v1/repos/example/example/hooks/1/deliveries \ --header 'Authorization: Basic <credentials>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Owner of the repo
Name of the repo
Id of the hook
Query Parameters
Section titled “Query Parameters”Page number of results to return (1-based)
Page size of results
Responses
Section titled “Responses”HookDeliveryList
Represents a single delivery attempt for a webhook
object
The date and time when the delivery was sent
The event type that triggered this delivery
Whether the delivery has been sent
Whether the delivery was successful (2xx response)
Represents the request information of a webhook delivery
object
The body sent with the delivery
The headers sent with the delivery
object
The HTTP method used for the delivery
The URL the delivery was sent to
Represents the response information of a webhook delivery
object
The body received in the response
The headers received in the response
object
The HTTP status code of the response
The unique identifier of the delivery
Example generated
[ { "delivered_at": "2026-04-15T12:00:00Z", "event_type": "example", "is_delivered": true, "is_succeeded": true, "request": { "body": "example", "headers": { "additionalProperty": "example" }, "http_method": "example", "url": "https://example.com" }, "response": { "body": "example", "headers": { "additionalProperty": "example" }, "status": 1 }, "uuid": "example" }]APINotFound is a not found empty response